/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.security.permissions;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.artifactory.security.PrincipalConfiguration;

import java.util.Collections;
import java.util.List;

import static org.artifactory.security.PermissionTarget.ANY_PATH;

/**
 * @author Yuval Reches
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
//TODO [by dan]: wtf, there's just one type make it on type - why the repo name and useless interface?
public class RepoPermissionTargetModel implements TypedPermissionTargetModel {

    //TODO [by dan]: wtf?
    @org.codehaus.jackson.annotate.JsonProperty("include-patterns")
    @JsonProperty("include-patterns")
    private List<String> includePatterns = Collections.singletonList(ANY_PATH);
    @org.codehaus.jackson.annotate.JsonProperty("exclude-patterns")
    @JsonProperty("exclude-patterns")
    private List<String> excludePatterns = Collections.emptyList();
    private List<String> repositories;
    private PrincipalConfiguration actions;

}
