/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.md;

import org.artifactory.fs.MutableWatchersInfo;
import org.artifactory.fs.WatchersInfo;

/**
 * @author freds
 */
public class WatchersXmlProvider extends XStreamMetadataProvider<WatchersInfo, MutableWatchersInfo> {

    public WatchersXmlProvider() {
        super(WatchersInfo.ROOT);
    }

    @Override
    public MutableWatchersInfo fromXml(String xmlData) {
        return (MutableWatchersInfo) getXstream().fromXML(xmlData);
    }

    @Override
    public String toXml(WatchersInfo metadata) {
        return getXstream().toXML(metadata);
    }
}
