/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
import EVENTS from '../../../../constants/artifacts_events.constants';
import TOOLTIP from '../../../../constants/artifact_tooltip.constant';

export class AdminSecuritySamlIntegrationController {

    constructor(SamlDao, ArtifactoryModelSaver, JFrogEventBus) {
        this.samlDao = SamlDao.getInstance();
        this.TOOLTIP = TOOLTIP.admin.security.SAMLSSOSettings;
        this.artifactoryModelSaver = ArtifactoryModelSaver.createInstance(this,['saml']);
        this.artifactoryEventBus = JFrogEventBus;
        this._init();
    }

    _init() {
        this.samlDao.get().$promise.then((data) => {
            this.saml = data;
            if (!angular.isDefined(this.saml.noAutoUserCreation)) {
                this.saml.noAutoUserCreation = true;
            }
            this.artifactoryModelSaver.save();
        });
    }

    save() {
        this.samlDao.update(this.saml).$promise.then(()=>{
            this.artifactoryModelSaver.save();
            this.artifactoryEventBus.dispatch(EVENTS.FOOTER_DATA_UPDATED);
        });
    }

    cancel() {
        this.artifactoryModelSaver.ask(true).then(()=>{
            this._init();
        });
    }
    canSave() {
        return this.samlForm.$valid;
    }
}