/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.admin.security.user;

import org.artifactory.rest.common.model.BaseModel;

import java.util.List;

/**
 * @author Yuval Reches
 */
public class UserPermissions extends BaseModel {

    private List<RepoUserPermission> repoPermissions;
    private List<BuildUserPermission> buildPermissions;

    public UserPermissions(List<RepoUserPermission> repoPermissions, List<BuildUserPermission> buildPermissions) {
        this.repoPermissions = repoPermissions;
        this.buildPermissions = buildPermissions;
    }

    public List<RepoUserPermission> getRepoPermissions() {
        return repoPermissions;
    }

    public void setRepoPermissions(List<RepoUserPermission> repoPermissions) {
        this.repoPermissions = repoPermissions;
    }

    public List<BuildUserPermission> getBuildPermissions() {
        return buildPermissions;
    }

    public void setBuildPermissions(List<BuildUserPermission> buildPermissions) {
        this.buildPermissions = buildPermissions;
    }
}
